datacache <- new.env(hash=TRUE, parent=emptyenv())

jnj384screenhsrefseq <- function() showQCData("jnj384screenhsrefseq", datacache)
jnj384screenhsrefseq_dbconn <- function() dbconn(datacache)
jnj384screenhsrefseq_dbfile <- function() dbfile(datacache)
jnj384screenhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
jnj384screenhsrefseq_dbInfo <- function() dbInfo(datacache)

jnj384screenhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "jnj384screenhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "jnj384screenhsrefseq", "chip jnj384screenhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("jnj384screenhsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(jnj384screenhsrefseq_dbconn())
}

